Subject: RE: [AVT] How is SDP a=fmtp used for RFC 2198?

From: "Mundra, Satish" <[email-masked]>
Date: Thu, 8 Apr 2004 17:32:24 -0400

Does this mean that if one wants to provide redundancy for different
encoding methods on "m=" line, one can not do so using a single RED PT ?  
See example below where redundancy is desired for both 97 and 98.

m=audio 5678 RTP/AVP 0 97 98 99 100
a=rtpmap:97 telephone-event/8000
a=rtpmap:98 t140/8000
a=rtpmap:99 red/8000
a=rtpmap:100 red/8000
a=fmtp:99 97/97/97/97/97
a=fmtp:100 98/98/98

Satish Mundra

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]] 
> Sent: Monday, April 05, 2004 8:33 AM
> To: Tim Melanchuk
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; Gunnar Hellstrom
> Subject: Re: [AVT] How is SDP a=fmtp used for RFC 2198?
> 
> 
> On 2 Apr 2004, at 19:45, Tim Melanchuk wrote:
> > to clarify with respect to using rfc2198 redundancy with rfc2833 
> > telephone events, the sdp for the example on page 10 of 
> rfc2833, which 
> > shows 3 events in one packet, would have had:
> >
> > a=rtpmap:96 red/8000
> > a=rtpmap:97 telephone-event/8000
> > a=fmtp:96 97/97/97
> >
> > as well, at most 3 telephone-events could occur in one 
> packet. is this 
> > interpretation correct?
> 
> Yes, according to Section 5 of RFC 2198:
> 
>     To receive a redundant stream, this is all that is 
> required.  However
>     to send a redundant stream, the sender needs to know 
> which codecs are
>     recommended for the primary and secondary (and tertiary, etc)
>     encodings.  This information is specific to the redundancy format,
>     and is specified using an additional attribute "fmtp" 
> which conveys
>     format-specific information.  A session directory does 
> not parse the
>     values specified in an fmtp attribute but merely hands it to the
>     media tool unchanged.  For redundancy, we define the format
>     parameters to be a slash "/" separated list of RTP payload types.
> 
> Colin
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Gunnar Hellstrom" <[email-masked]>
Date: Fri, 9 Apr 2004 08:54:42 +0200

Satish, I think your example is good as it is. Did you intend to use
RFC2198 as a method to transmit alternative encodings of the same audio,
giving the receiving end the option to choose what interpretation to use?
That usage would interfere with the need to improve reliability of
delivery.

-----Offer-answer aspect of a=fmtp---------------------------------------

Another question:
Do we also have an offer-answer aspect of the a=fmtp usage for RED?

If one UA (A) is in a good enterprise network offers text transmission with
one redundancy level:
m=text 5678 RTP/AVP 98 100
a=rtpmap:98 t140/1000
a=rtpmap:100 red/1000
a=fmtp:100 98/98

And the call is set up with a 3G based UA (B), who knows that three levels
of redundancy is needed in its network, will answer in the OK:

m=text 5678 RTP/AVP 98 100
a=rtpmap:98 t140/1000
a=rtpmap:100 red/1000
a=fmtp:100 98/98/98/98

That should then be taken as an indication that use of RED is accepted, B
will transmit with three redundant levels and A is requested to also
transmit with three.
?

Gunnar
-------------------------------------------
Gunnar Hellström
Omnitor AB
Renathvägen 2
SE 121 37 Johanneshov
SWEDEN
+46 8 556 002 03
Mob: +46 708 204 288
www.omnitor.se
[email-masked]
--------------------------------------------

> From: Mundra, Satish [mailto:[email-masked]]
> Sent: Thursday, April 08, 2004 11:32 PM
> To: 'Colin Perkins'; Tim Melanchuk
> Cc: [email-masked]; [email-masked]; [email-masked];
> Gunnar Hellstrom
> Subject: RE: [AVT] How is SDP a=fmtp used for RFC 2198?
>
>
>

---

From: Colin Perkins <[email-masked]>
Date: Fri, 9 Apr 2004 10:02:32 +0100

On 8 Apr 2004, at 22:32, Mundra, Satish wrote:
> encoding methods on "m=" line, one can not do so using a single RED PT?

Correct. The "a=fmtp:" lines tell the sender how to encode particular 
data.

> a=rtpmap:97 telephone-event/8000

Sending this much redundancy is excessive, but the example is 
syntactically correct.

-- 
Colin Perkins
http://csperkins.org/